import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RbTableComponent } from './rb-table/rb-table.component';
import {RbArrayInputComponent, RbArrayInputListenerDirective, RbArrayInputItemDirective} from
'./rb-array-input/rb-array-input.component';
import {RbUiComponentsModule} from '@inst-iot/bosch-angular-ui-components';
import {FormsModule} from '@angular/forms';
import { RbIconButtonComponent } from './rb-icon-button/rb-icon-button.component';



@NgModule({
	declarations: [
		RbTableComponent,
		RbArrayInputComponent,
		RbArrayInputListenerDirective,
		RbArrayInputItemDirective,
		RbIconButtonComponent
	],
	imports: [
		CommonModule,
		FormsModule,
		RbUiComponentsModule
	],
	exports: [
		RbTableComponent,
		RbArrayInputComponent,
		RbArrayInputListenerDirective,
		RbArrayInputItemDirective,
		RbIconButtonComponent
	]
})
export class RbCustomInputsModule { }
